This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 804370 - High energy comsumption after last update
High energy comsumption after last update
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-18 07:09 EDT by Martin Angermeier
Modified: 2012-03-20 11:19 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-20 11:19:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Yum.log 03-18-2012 (1.96 KB, application/octet-stream)
2012-03-18 07:09 EDT, Martin Angermeier
no flags Details

  None (edit)
Description Martin Angermeier 2012-03-18 07:09:07 EDT
Created attachment 570877 [details]
Yum.log 03-18-2012

Description of problem:
After updating to kernel version 3.2.10-3 I got around 25W energy consumption on my notebook, up from 8,5W (both Idle). I got a Sony Vaio-S with an Intel i3 (Sandy Bridge) and hybrid graphics (AMD HD 6450). I enabled RC6 and switched off the discrete gpu (AMD) using vgaswitcheroo. 


Version-Release number of selected component (if applicable):
kernel 3.2.10-2

How reproducible:
Every boot


Steps to Reproduce:
1. boot up
2. idle system
3. switch on energy monitor or powertop
  
Actual results:
~ 25W power consumption 

Expected results:
~ 8,5W

Additional info:
latest yum update attached
Comment 1 Martin Angermeier 2012-03-18 10:23:42 EDT
PS: 

Version-Release number of selected component (if applicable):
kernel 3.2.10-2 (mistype, should be 3.2.10-3)
Comment 2 Dave Jones 2012-03-19 11:13:35 EDT
does powertop show anything interesting ?
Comment 3 Martin Angermeier 2012-03-19 12:59:33 EDT
Well, that's weird. Ich booted up today, updated the following packages:

Mar 18 19:44:07 Updated: rpmfusion-nonfree-release-16-3.noarch
Mar 18 21:13:29 Installed: lame-libs-3.98.4-1.fc14.x86_64
Mar 18 21:13:30 Installed: x264-libs-0.0.0-0.31.20110811.fc16.x86_64
Mar 18 21:13:31 Installed: a52dec-0.7.4-15.fc11.x86_64
Mar 18 21:13:32 Installed: libsidplay-1.36.60-2.fc15.x86_64
Mar 18 21:13:32 Installed: librtmp-2.4-0.1.20110811gitc58cfb3e.fc16.x86_64
Mar 18 21:13:33 Installed: libmad-0.15.1b-13.fc12.x86_64
Mar 18 21:13:34 Installed: xvidcore-1.3.2-2.fc15.x86_64
Mar 18 21:13:35 Installed: libva-1.0.15-1.fc16.x86_64
Mar 18 21:13:36 Installed: ffmpeg-libs-0.8.9-1.fc16.x86_64
Mar 18 21:13:37 Installed: libid3tag-0.15.1b-11.fc15.x86_64
Mar 18 21:13:38 Installed: opencore-amr-0.1.2-1.fc12.x86_64
Mar 18 21:13:38 Installed: libmpeg2-0.5.1-8.fc12.x86_64
Mar 18 21:13:39 Installed: twolame-libs-0.3.13-1.fc16.x86_64
Mar 18 21:13:40 Installed: gstreamer-plugins-ugly-0.10.18-3.fc16.x86_64
Mar 18 21:13:41 Installed: gstreamer-ffmpeg-0.10.13-1.fc16.x86_64
Mar 19 08:19:08 Updated: rpmfusion-free-release-16-3.noarch
Mar 19 08:19:11 Updated: ffmpeg-libs-0.8.10-1.fc16.x86_64
Mar 19 17:43:09 Updated: liblouis-2.4.1-1.fc16.x86_64
Mar 19 17:43:09 Updated: liblouis-python-2.4.1-1.fc16.noarch

and now I got an energy consumption around 9W, quite normal. 
I don't know why this happened. As I wrote the bug, my GPU was running on full-speed, CPU 800MHz (power save and deepest idle state). PowerTOP shows normal values, just a slight increase from 3.2.9
Comment 4 Martin Angermeier 2012-03-20 06:47:25 EDT
Daily update:

Today 12W in idle (Firefox with Facebook, pdf-Reader, display brightness 33%)

Powertop shows something interesting, 3% C0 power state for cpu0, 18% for cpu1 and ~900ms CPU time for
/usr/libeexec/tracker-miner-fs and ~ 1000 pkts/s for network-interface wlan0

Under 3.2.9 today 8W
Comment 5 Martin Angermeier 2012-03-20 06:55:54 EDT
It seems that cpupower is changing CPU-states more quickly.
Governor is set to powersave but it's behaviour is more like ondemand it seems
Comment 6 Dave Jones 2012-03-20 11:19:06 EDT
that profile is anything but idle.  even if you're not touching anything, firefox and facebook will be using cpu (they use ridiculous amounts of javascript).

also tracker running is obviously going to draw power as it runs around indexing things.

I don't see anything kernel related here that needs fixing.
If it does spike up again, do some profiling with powertop/top/iotop and find out what it's doing. If the machine really is completely idle and pulling lots of power, perhaps we can do something.

Note You need to log in before you can comment on or make changes to this bug.